*INSTRUMENTAL VARIABLES:  GENERATE COUNTRY-INDUSTRY AVERAGE AS INSTRUMENT

*Country-industry averages for self-influence
forvalues countrycode = 1(1)60 {
	forvalues industcode = 1(1)28 {
	egen icinf`countrycode'_`industcode' = mean(c244ba) if c_`countrycode'==1&indust_`industcode'==1
	}
}

egen csinfl = rowtotal(icinf*_*), missing
drop icinf*

*Create code numbers for country-industry
encode wbid, gen(numcode)
gen cicode = numcode*industry



*MATCHED SUBSAMPLE

g x = uniform()
sort x
set seed 1000

gen captor = 0
replace captor = 1 if aveinfl>0
replace captor = . if aveinfl==.

psmatch2 captor age export domestic state lobby crime workers legal_* locat_* c_* y_* indust_*, llr kerneltype(biweight) logit quietly nowarning common
gen pscore = _pscore
gen matchwt = _weight
gen comsup = _support

pstest age export domestic state lobby workers c218p legal_* locat_* c_* y_* indust_*, treated(captor) support(comsup) mweight(matchwt) summary



