*Non-response weighting

*For each firm, the non-response bias weight is the reciprocal of the predicted probability of answering the question posed


gen briberesp = 0
replace briberesp = 1 if bribes~=.

logit briberesp age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_*, nolog
predict bresp_pred if e(sample), pr
gen nonbresp = 1/bresp_pred


gen govconresp = 0
replace govconresp = 1 if govcontrac~=.

logit govconresp age export domestic state crime workers workersq, nolog
predict gcresp_pred if e(sample), pr
gen nongcresp = 1/gcresp_pred


gen odueresp = 0
replace odueresp = 1 if overdue~=.

logit odueresp age export domestic state crime workers workersq, nolog
predict odresp_pred if e(sample), pr
gen nonodresp = 1/odresp_pred


gen theftresp = 0
replace theftresp = 1 if theftloss~=.

logit theftresp age export domestic state crime workers workersq, nolog
predict tresp_pred if e(sample), pr
gen nontresp = 1/tresp_pred


gen constresp = 0
replace constresp = 1 if tax~=.

logit constresp age export domestic state crime workers workersq, nolog
predict icresp_pred if e(sample), pr
gen nonicresp = 1/icresp_pred

gen monoresp = 0
replace monoresp = 1 if monop~=.

logit monoresp age export domestic state crime workers workersq, nolog
predict moresp_pred if e(sample), pr
gen nonmoresp = 1/moresp_pred



gen labresp = 0
replace labresp = 1 if exlab~=.

logit labresp age export domestic state crime workers workersq, nolog
predict lresp_pred if e(sample), pr
gen nonlresp = 1/lresp_pred


gen revresp = 0
replace revresp = 1 if taxcompl~=.

logit revresp age export domestic state crime workers workersq, nolog
predict rresp_pred if e(sample), pr
gen nonrresp = 1/rresp_pred

logit revresp age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_*, nolog
predict rresp_pred2 if e(sample), pr
gen nonrresp2 = 1/rresp_pred2



gen colresp = 0 if c229a!=.
replace colresp = 1 if collat~=.

logit colresp age export domestic state crime workers workersq if c229a!=., nolog
predict cresp_pred if e(sample), pr
gen noncresp = 1/cresp_pred

gen collatresp = 0 
replace collatresp = 1 if collat~=.

logit collatresp age export domestic state crime workers workersq, nolog
predict colresp_pred if e(sample), pr
gen noncolresp = 1/colresp_pred



gen c229dresp = 0 if collat==1
replace c229dresp = 1 if c229d~=.

logit c229dresp age export domestic state crime workers workersq if collat==1, nolog
predict c229dresp_pred if e(sample), pr
gen nonc229dresp = 1/c229dresp_pred


gen c227jresp = 0
replace c227jresp = 1 if c227j1~=.

logit c227jresp age export domestic state crime workers workersq, nolog
predict c227jresp_pred if e(sample), pr
gen nonc227jresp = 1/c227jresp_pred


gen newprodresp = 0
replace newprodresp = 1 if newprod~=.

logit newprodresp age export domestic state crime workers workersq, nolog
predict newprodresp_pred if e(sample), pr
gen nonnpresp = 1/newprodresp_pred


gen RDresp = 0
replace RDresp = 1 if RD~=.

logit RDresp age export domestic state crime workers workersq, nolog
predict RDresp_pred if e(sample), pr
gen nonRDresp = 1/RDresp_pred


gen salesresp = 0
replace salesresp = 1 if logY~=.

logit salesresp age export domestic state crime workers workersq, nolog
predict sresp_pred if e(sample), pr
gen nonsresp = 1/sresp_pred


gen investresp = 0
replace investresp = 1 if I~=.

logit investresp age export domestic state crime workers workersq, nolog
predict Iresp_pred if e(sample), pr
gen nonIresp = 1/Iresp_pred


gen horizresp = 0
replace horizresp = 1 if c255c~=.

logit horizresp age export domestic state crime workers workersq, nolog
predict ihresp_pred if e(sample), pr
gen nonihresp = 1/ihresp_pred


