*DUMMY VARIABLES, FIXED EFFECTS, and CONTROL VARIABLES

*country, industry, survey year
rename c_abbr wbid
tab year, gen(y_)
tab industry, gen(indust_)
tab country_proper, gen(c_)

*Legal status
tab c202, gen (legal_)

*Location
tab c2071, gen(locat_)

*Age
gen age = 2007 - c201

*State-owned
gen state = 0
replace state = . if c203c==.
replace state = 1 if c203c==100

*Exporters
gen export = 0
replace export = . if exporter==.
replace export = 1 if exporter ==1

*Onwership
gen domestic = 0
replace domestic = . if ownership==.
replace domestic = 1 if ownership==2

*Employees
gen workers = log(c262a1y)
gen workersq = workers^2

*Lobbying
gen lobby = 1 if c244a==1
replace lobby=0 if c244a==2

*Capacity Utilization
gen caputil = c250


*INFLUENCE VARIABLE

gen aveinfl = c244ba-((c244bb + c244bc + c244bd)/3) 



*BIAS VARIABLES

*Inflation-based bias:  BE SURE TO GENERATE THE INFLATION VARIABLE USING THE ACCOMPANYING .DO FILE

regress c218n inflation c_* indust_*
predict ibias, stdp


*For crime-based bias adjustment, use c218p: Business constraint: crime, theft, disorder

gen crime = c218p



*DEPENDENT VARIABLES:  bribes (some cleaning required), nonpayment, theft

gen bribes = c239
replace bribes = . if bribes>50

gen govcontrac = c243

gen overdue = c247c

gen theftloss = c249a


*DEPENDENT VARIABLES:  BUSINESS CONSTRAINTS

*Group constraints together
gen infr = (c218a + c218b + c218c)/3
gen tx = (c218e + c218f)/2
gen regs = (c218g + c218j)/2
gen fin = (c218k + c218l)/2

*Convert constraints to binaries (1 if major or severe obstacle)
gen infrastr = 0
gen tax = 0
gen regulats = 0
gen finance = 0
replace infrastr = 1 if infr >2
replace tax = 1 if tx >2
replace regulats = 1 if regs >2
replace finance = 1 if fin >2
replace infrastr = . if infr==.
replace tax = . if tx ==.
replace regulats = . if regs==.
replace finance = . if fin==.

*Monopoly pricing
gen monop = 0
replace monop = . if c217==.
replace monop = 1 if c217==1

*Collateral

gen collat = 1 if c229b==1
replace collat = 0 if c229b==2


*DEPENDENT VARIABLES:  POLITICAL COSTS

*Excess labor (this variable requires cleaning)
gen exlabr = . if c237==.
replace exlabr = 0 if c237==1
replace exlabr = 0 if c237==0
replace exlabr = 0 if c237==100
replace exlabr = 1 if c237>100

*Tax compliance

gen taxcompl = c241


*DEPENDENT VARIABLES:  INNOVATION & R&D

gen newprod = 1 if c2581==1
replace newprod = 0 if c2581==2

gen newplant = 1 if c2585==1
replace newplant = 0 if c2585==2

gen shutprod = 1 if c2584 ==1
replace shutprod = 0 if c2584==2

gen shutplant = 1 if c2586==1
replace shutplant = 0 if c2586==2

gen RD = 0
replace RD = 1 if c280>0
replace RD = . if c280==.


*DEPENDENT VARIABLES:  INVESTMENT AND PRODUCTIVITY

*BE SURE TO GENERATE THE EXCHANGE RATE VARIABLE XC VARIABLE USING THE ACCOMPANYING .DO FILE

gen K = c281a1y/xc
gen logK = log(K)

gen realsalesgro = (c274a1y/xc)/(c274a3y/xc)-1
gen logrealsalegr = log(1 + realsalesgro)

gen I = c276a1y/xc
gen logI = log(1+I)

gen inhoriz = c255c
replace inhoriz = 1 if c255c<1

gen sales = c274a1y/xc
gen logY = log(125+ sales)

reg logY workers logK indust_* c_*
predict TFP, resid







